commit:     21044ff0e95adb9c2b5e7eb18711c058f2905003
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 29 06:28:07 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jun 29 06:29:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21044ff0

dev-libs/chmlib: switched to EAPI-7

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/chmlib/chmlib-0.40-r1.ebuild | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/dev-libs/chmlib/chmlib-0.40-r1.ebuild 
b/dev-libs/chmlib/chmlib-0.40-r1.ebuild
index 7b60e53d0f7..957e5d88bca 100644
--- a/dev-libs/chmlib/chmlib-0.40-r1.ebuild
+++ b/dev-libs/chmlib/chmlib-0.40-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit autotools out-of-source
 
@@ -21,16 +21,19 @@ PATCHES=(
 
 src_prepare() {
        default
+       # Required for CONFIG_SHELL != bash (bug #668408)
        eautoreconf
 }
 
 my_src_configure() {
-       econf \
-               $(use_enable examples) \
+       local myeconfargs=(
+               $(use_enable examples)
                $(use_enable static-libs static)
+       )
+       econf "${myeconfargs[@]}"
 }
 
 my_src_install_all() {
        einstalldocs
-       find "${D}" -name '*.la' -delete || die
+       find "${ED}" -type f -name '*.la' -delete || die
 }

Reply via email to